dependencies:
  pre:
    - "sudo apt-get update && sudo apt-get install -y libgmp3-dev"
    - rm -rf ~/.go_workspace/src/github.com/eris-ltd/eris-db
    - mkdir -p ~/.go_workspace/src/github.com/eris-ltd
    - ln -s ~/eris-db ~/.go_workspace/src/github.com/eris-ltd/eris-db
    - go get github.com/tools/godep
  override:
    - godep restore
    - "cd ./cmd/erisdb && godep go build"
	- "mv ~/eris-db/cmd/erisdb ~/bin"

test:
  override:
    - go test -v ./...
